from lyse import *
from HelperClasses import DyTransition, Camera, AbsorptionImaging, Plotting1
import matplotlib.pyplot as plt
import matplotlib.style as mplstyle

import matplotlib
matplotlib.use("qt5agg")

mplstyle.use('fast')

absorption_imaging_transition = DyTransition.creat_Dy421()
mot_3D_camera = Camera.c11440_36u(absorption_imaging_transition['wavelength'])

with AbsorptionImaging.absorption_imaging(path, 'MOT_3D_Camera', 'in_situ_absorption',
                                          absorption_imaging_transition, mot_3D_camera, 0, 0) as absorption_image:

    absorption_image.select_effective_data((800, 500), (1000, 700))
    absorption_image.get_atom_number()

    print(absorption_image.atom_number)


plotting = Plotting1.plotting_absorption_imaging(absorption_image)
plotting.four_plots()
# plotting.absorption_plots()

